Index: trunk/ab5.0/ablib/src/Classes/System/Security/AccessControl/misc.ab
===================================================================
--- trunk/ab5.0/ablib/src/Classes/System/Security/AccessControl/misc.ab	(revision 577)
+++ trunk/ab5.0/ablib/src/Classes/System/Security/AccessControl/misc.ab	(revision 605)
@@ -92,59 +92,27 @@
 
 Enum FileSystemRights
-	' ファイルの末尾にデータを追加する権限を指定します。  
-	AppendData
-	' ファイルまたはフォルダに関連付けられたセキュリティ規則と監査規則を変更する権限を指定します。  
-	ChangePermissions
-
-	' フォルダを作成する権限を指定します。  
-	'この権限には Synchronize 値が必要です。ファイルまたはフォルダの作成時に Synchronize 値を明示的に設定しない場合、Synchronize 値は自動的に設定されます。 
-	CreateDirectories
- 
-	' ファイルを作成する権限を指定します。  
-	'この権限には Synchronize 値が必要です。ファイルまたはフォルダの作成時に Synchronize 値を明示的に設定しない場合、Synchronize 値は自動的に設定されます。
-	CreateFiles
- 
-	' フォルダまたはファイルを削除する権限を指定します。   
-	Delete
-	' フォルダおよびそのフォルダ内に格納されているファイルを削除する権限を指定します。  
-	DeleteSubdirectoriesAndFiles
-	' アプリケーション ファイルを実行する権限を指定します。  
-	ExecuteFile
-	' フォルダまたはファイルに対してフル コントロールを行い、アクセス制御と監査規則を変更する権限を指定します。この値は、ファイルに対してどのような操作でも行うことができる権限を表します。この値は、この列挙体のすべての権限を組み合わせたものです。  
-	FullControl
-	' ディレクトリの内容を読み取る権限を指定します。  
-	ListDirectory
-	' 読み取り、書き込み、フォルダの内容の一覧表示、フォルダとファイルの削除、およびアプリケーション ファイルの実行を行う権限を指定します。この権限には、ReadAndExecute 権限、Write 権限、および Delete 権限が含まれます。  
-	Modify
-	' フォルダまたはファイルを読み取り専用として開いたり、コピーしたりする権限を指定します。この権限には、ReadData 権限、ReadExtendedAttributes 権限、ReadAttributes 権限、および ReadPermissions 権限が含まれます。  
-	Read
-	' フォルダまたはファイルを読み取り専用として開いたりコピーしたりする権限、およびアプリケーション ファイルを実行する権限を指定します。この権限には、Read 権限および ExecuteFile 権限が含まれます。  
-	ReadAndExecute
-	' フォルダまたはファイルのファイル システム属性を開いたり、コピーしたりする権限を指定します。たとえば、この値は、ファイルの作成日や変更日を表示する権限を指定します。これには、データ、拡張ファイル システム属性、またはアクセス規則や監査規則を読み取る権限は含まれません。  
-	ReadAttributes
-	' ファイルまたはフォルダを開いたり、コピーしたりする権限を指定します。これには、ファイル システム属性、拡張ファイル システム属性、またはアクセス規則や監査規則を読み取る権限は含まれません。  
-	ReadData
-	' フォルダまたはファイルの拡張ファイル システム属性を開いたり、コピーしたりする権限を指定します。たとえば、この値は、作成者や内容に関する情報を表示する権限を指定します。これには、データ、ファイル システム属性、またはアクセス規則や監査規則を読み取る権限は含まれません。  
-	ReadExtendedAttributes
-	' フォルダまたはファイルのアクセス規則や監査規則を開いたり、コピーしたりする権限を指定します。これには、データ、ファイル システム属性、および拡張ファイル システム属性を読み取る権限は含まれません。   
-	ReadPermissions
-
-	' ファイル ハンドルが I/O 操作の完了に同期するまでアプリケーションが待機できるかどうかを指定します。 
-	'Synchronize 値は、アクセスを許可すると自動的に設定され、アクセスを拒否すると自動的に除外されます。
-	'ファイルまたはフォルダを作成する権限には、この値が必要です。この値は、ファイルの作成時に明示的に設定しなくても、自動的に設定されます。
-	Synchronize
- 
-	' フォルダまたはファイルの所有者を変更する権限を指定します。リソースの所有者は、そのリソースに対してフル アクセス権限を持ちます。  
-	TakeOwnership
-	' フォルダの内容を一覧表示し、そのフォルダに格納されているアプリケーションを実行する権限を指定します。  
-	Traverse
-	' フォルダおよびファイルを作成し、ファイルに対してデータの追加または削除を行う権限を指定します。この権限には、WriteData 権限、AppendData 権限、WriteExtendedAttributes 権限、および WriteAttributes 権限が含まれます。   
-	Write
-	' フォルダまたはファイルのファイル システム属性を開いたり、フォルダまたはファイルにファイル システム属性を書き込んだりする権限を指定します。これには、データ、拡張属性、またはアクセス規則や監査規則を書き込む権限は含まれません。  
-	WriteAttributes
-	' ファイルまたはフォルダを開いたり、ファイルまたはフォルダに書き込んだりする権限を指定します。これには、ファイル システム属性、拡張ファイル システム属性、またはアクセス規則や監査規則を開いたり書き込んだりする権限は含まれません。  
-	WriteData
-	' フォルダまたはファイルの拡張ファイル システム属性を開いたり、フォルダまたはファイルに拡張ファイル システム属性を書き込んだりする権限を指定します。これには、データ、属性、またはアクセス規則や監査規則を書き込む権限は含まれません。  
-	WriteExtendedAttributes
+	ReadData = FILE_READ_DATA
+	ListDirectory = FILE_LIST_DIRECTORY
+	WriteData = FILE_WRITE_DATA
+	CreateFiles = FILE_ADD_FILE
+	CreateDirectories = FILE_ADD_SUBDIRECTORY
+	AppendData = FILE_APPEND_DATA
+	ReadExtendedAttributes = FILE_READ_EA
+	WriteExtendedAttributes = FILE_WRITE_EA
+	Traverse = FILE_TRAVERSE
+	ExecuteFile = FILE_EXECUTE
+	DeleteSubdirectoriesAndFiles = FILE_DELETE_CHILD
+	ReadAttributes = FILE_READ_ATTRIBUTES
+	WriteAttributes = FILE_WRITE_ATTRIBUTES
+	Write = FILE_WRITE_DATA Or FILE_WRITE_ATTRIBUTES Or FILE_WRITE_EA Or FILE_APPEND_DATA
+	Delete = &h00010000 'DELETE
+	ReadPermissions = READ_CONTROL
+	Read = FILE_READ_DATA Or FILE_READ_ATTRIBUTES Or FILE_READ_EA Or STANDARD_RIGHTS_READ
+	ReadAndExecute = Read As DWord Or FILE_EXECUTE
+	Modify = ReadAndExecute As DWord Or Write As DWord Or &h00010000 'Delete
+	ChangePermissions = WRITE_DAC
+	TakeOwnership = WRITE_OWNER
+	Synchronize = SYNCHRONIZE
+	FullControl = &h001f01ff
 End Enum
 
